/*
 * This file was generated by the Gradle 'init' task.
 *
 * This generated file contains a sample Java project to get you started.
 * For more details take a look at the Java Quickstart chapter in the Gradle
 * User Manual available at https://docs.gradle.org/5.6/userguide/tutorial_java_projects.html
 */

plugins {
    // Apply the java plugin to add support for Java
    id 'java'

    // Apply the application plugin to add support for building a CLI application
    id 'application'

    // Shadow plugin to make uberJars
    id 'com.github.johnrengelman.shadow' version '8.1.1'
}

repositories {
    mavenCentral()

    maven {
        url 'https://jitpack.io'
    }
}

dependencies {
    implementation 'net.lingala.zip4j:zip4j:2.11.5'
    implementation 'club.minnced:opus-java:1.1.1'
    implementation 'ws.schild:jave-all-deps:3.5.0'
    implementation 'com.google.guava:guava:33.4.8-jre'
    implementation 'com.github.oshi:oshi-core:6.8.2'
    implementation 'com.github.oshi:oshi-json:3.13.6'
    implementation 'org.slf4j:slf4j-simple:2.0.17'
    implementation 'org.apache.commons:commons-lang3:3.17.0'
    implementation 'dev.arbjerg:lavaplayer:2.2.3'
    implementation 'net.dv8tion:JDA:5.6.0'
    implementation 'org.reflections:reflections:0.10.2'
}

application {
    // Define the main class for the application
    mainClassName = 'fr.Skydust.JdrBot.JdrBot'
}

shadowJar {
    archiveFileName = "${project.name}.jar"
}

jar {
    manifest {
        attributes 'Main-Class': 'fr.Skydust.JdrBot.JdrBot', 'Implementation-Version': version
    }
}